Available in VPC
This API is deprecated and is scheduled to be terminated in January 2027. Use the new Request media asset analysis API.
Analyze a video asset to create an index, which is the result of video analysis. After video asset registration is complete, requesting an analysis will execute the analysis process. For more information, see the workflow image below.

Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| POST | /api/v1/workspaces/{workspace_name}/projects/{project_id}/video-assets/{video_asset_id}/analyze |
Request headers
For information about the headers common to all Media Intelligence APIs, see Media Intelligence request headers.
Request path parameters
The following describes the parameters.
| Field | Type | Required | Description |
|---|---|---|---|
workspace_name |
String | Required | Workspace name |
project_id |
String | Required | Project ID
|
video_asset_id |
String | Required | Video asset ID
|
Request body
You can include the following data in the body of your request:
| Field | Type | Required | Description |
|---|---|---|---|
sceneRange |
String | Optional | Length of automatically split scenes
|
analysisPersonCount |
Integer | Required | Number of people to detect when analyzing video
|
tagIdList |
Array<String> | Optional | Tag of people to detect when analyzing video
|
sourceLanguage |
enum | Optional | Language information of the original video being analyzed
|
detectAudioEffects |
Boolean | Optional | Audio effect detection
|
Request example
The request example is as follows:
curl --location --request POST 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234/video-assets/5678/analyze' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
"sceneRange": "LONG",
"sourceLanguage": "ENKO",
"detectAudioEffects": false,
"analysisPersonCount": 3,
"tagIdList": [101, 203, 307]
}'
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
code |
String | - | API processing result code |
message |
String | - | API processing result message |
result |
Object | - | Analysis result |
result.id |
Integer | - | Video asset ID |
result.createdTime |
String | - | Index creation date and time
|
result.createdUserName |
String | - | User name that created the index |
Response status codes
For information about the HTTP status codes common to all Media Intelligence APIs, see Media Intelligence response status codes.
Response example
The response example is as follows:
{
"code": "0",
"message": "success",
"result": {
"id": 1001,
"createdTime": "2025-04-23T17:13:48",
"createdUserName": "username"
}
}